## org.flexdock.dockbar.event
Class DockablePropertyChangeHandler.Factory

    java.lang.Object
      org.flexdock.docking.props.PropertyChangeListenerFactory
          org.flexdock.dockbar.event.DockablePropertyChangeHandler.Factory

Enclosing class:
  DockablePropertyChangeHandler

    public static class DockablePropertyChangeHandler.Factory

extends PropertyChangeListenerFactory

Constructor Summary
`DockablePropertyChangeHandler.Factory()`

Method Summary
`java.beans.PropertyChangeListener` `getListener()`

Methods inherited from class org.flexdock.docking.props.PropertyChangeListenerFactory
`addFactory, getListeners, removeFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockablePropertyChangeHandler.Factory

    public DockablePropertyChangeHandler.Factory()

Method Detail

### getListener

    public java.beans.PropertyChangeListener getListener()

  Specified by:
    `getListener` in class `PropertyChangeListenerFactory`